Retrieve Tag Details
Fetch the full configuration of a custom PII tag including masking behavior and endpoint settings.
{
"data": {
"tag_type": "CUSTOMER_ID"
}
}
curl -X PUT https://<domain>/api/vault/metadata/custom-tag/details \
-H "Authorization: Bearer <NAMESPACE_ADMIN_API_KEY>" \
-H "Content-Type: application/json; charset=utf-8" \
-d '{
"data": {
"tag_type": "CUSTOMER_ID"
}
}'
{
"data": {
"tag_type": "CUSTOMER_ID",
"token_name": "Default Token",
"format_name": null,
"prefix": "<CUSTOMER_ID>",
"suffix": "</CUSTOMER_ID>",
"identification_endpoint_details": {
"url": "https://example.com/custom-pii/identify",
"method": "PUT"
},
"pi_elements_list_endpoint_details": {
"url": "https://example.com/custom-pii/list",
"method": "GET"
}
},
"success": true,
"error": { "message": "" }
}
Fetches the full configuration of a custom PII tag.
Endpoint
| Method | Endpoint |
|---|---|
PUT | https://<domain>/api/vault/metadata/custom-tag/details |
Response fields
tag_typestring
RequiredCustom tag name.
token_namestring
RequiredToken type used for masking.
format_namestring
Format applied during masking, if any.
prefixstring
RequiredPrefix used to wrap masked values in output.
suffixstring
RequiredSuffix used to wrap masked values in output.
identification_endpoint_detailsobject
RequiredConfiguration of the identification endpoint.
pi_elements_list_endpoint_detailsobject
Configuration of the whitelist endpoint, if configured.
Was this page helpful?
Last updated 1 day ago
Built with Documentation.AI